## paperwork 1.3.1

=== Makefile ===
# order matters (dependencies)
ALL_COMPONENTS = paperwork-backend paperwork-gtk

build: $(ALL_COMPONENTS:%=%_build)

clean: $(ALL_COMPONENTS:%=%_clean)
	rm -rf build dist
	rm -rf venv
	make -C sub/libinsane clean || true
	make -C sub/libpillowfight clean || true
	make -C sub/pyocr clean || true

install: $(ALL_COMPONENTS:%=%_install)

install_py: $(ALL_COMPONENTS:%=%_install_py)

install_c: $(ALL_COMPONENTS:%=%_install_c)

uninstall: $(ALL_COMPONENTS:%=%_uninstall)

uninstall_py: $(ALL_COMPONENTS:%=%_uninstall_py)

uninstall_c: $(ALL_COMPONENTS:%=%_uninstall_c)

version: $(ALL_COMPONENTS:%=%_version)

check: $(ALL_COMPONENTS:%=%_check)

test: $(ALL_COMPONENTS:%=%_test)

doc: $(ALL_COMPONENTS:%=%_doc)

release_pypi: $(ALL_COMPONENTS:%=%_release_pypi)

release: $(ALL_COMPONENTS:%=%_release)
ifeq (${RELEASE}, )
	@echo "You must specify a release version (make release RELEASE=1.2.3)"
else
	@echo "Will release: ${RELEASE}"
	git tag -a ${RELEASE} -m ${RELEASE}
	git push origin ${RELEASE}
	make clean
	make version
	make release_pypi
	@echo "All done"
	@echo "IMPORTANT: Don't forgot to add the latest release on Flathub !"
endif

linux_exe: $(ALL_COMPONENTS:%=%_linux_exe)

libinsane_win32:
	${MAKE} -C sub/libinsane install PREFIX=/mingw32

pyocr_win32:
	${MAKE} -C sub/pyocr install

libpillowfight_win32:
	${MAKE} -C sub/libpillowfight install_py

windows_exe: $(ALL_COMPONENTS:%=%_windows_exe)
	mkdir -p dist
	(cd build/exe ; zip -r ../../dist/paperwork.zip *)

help:
	@echo "make build: run 'python3 ./setup.py build' in all components"
	@echo "make clean"
	@echo "make help: display this message"
	@echo "make install : run 'python3 ./setup.py install' on all components"
	@echo "make release"
	@echo "make uninstall : run 'pip3 uninstall -y (component)' on all components"
	@echo "Components:" ${ALL_COMPONENTS}

%_version:
	echo "Making version file $(@:%_version=%)"
	$(MAKE) -C $(@:%_version=%) version

%_check:
	echo "Checking $(@:%_check=%)"
	$(MAKE) -C $(@:%_check=%) check

%_test:
	echo "Checking $(@:%_test=%)"
	$(MAKE) -C $(@:%_test=%) test

%_doc:
	echo "Checking $(@:%_doc=%)"
	$(MAKE) -C $(@:%_doc=%) doc

%_build:
	echo "Building $(@:%_build=%)"
	$(MAKE) -C $(@:%_build=%) build

%_clean:
	echo "Building $(@:%_clean=%)"
	$(MAKE) -C $(@:%_clean=%) clean

%_install:
	echo "Installing $(@:%_install=%)"
	$(MAKE) -C $(@:%_install=%) install

%_build_py:
	echo "Building $(@:%_build_py=%)"
	$(MAKE) -C $(@:%_build=%) build_py

%_install_py:
	echo "Installing $(@:%_install_py=%)"
	$(MAKE) -C $(@:%_build=%) install_py

%_build_c:
	echo "Building $(@:%_build_c=%)"
	$(MAKE) -C $(@:%_build=%) build_c

%_install_c:
	echo "Installing $(@:%_install_c=%)"
	$(MAKE) -C $(@:%_build=%) install_c

%_uninstall:
	echo "Uninstalling $(@:%_uninstall=%)"
	$(MAKE) -C $(@:%_uninstall=%) uninstall

%_uninstall_py:
	echo "Uninstalling $(@:%_uninstall_py=%)"
	$(MAKE) -C $(@:%_uninstall=%) uninstall_py

%_uninstall_c:
	echo "Uninstalling $(@:%_uninstall_c=%)"
	$(MAKE) -C $(@:%_uninstall=%) uninstall_c

%_release:
	echo "Releasing $(@:%_release=%)"
	$(MAKE) -C $(@:%_release=%) release

%_release_pypi:
	echo "Releasing $(@:%_release_pypi=%)"
	$(MAKE) -C $(@:%_release_pypi=%) release_pypi

%_linux_exe:
	echo "Building Linux exe for $(@:%_linux_exe=%)"
	$(MAKE) -C $(@:%_linux_exe=%) linux_exe

%_windows_exe: version libinsane_win32 pyocr_win32 libpillowfight_win32
	echo "Building Windows exe for $(@:%_windows_exe=%)"
	$(MAKE) -C $(@:%_windows_exe=%) windows_exe

venv:
	echo "Building virtual env"
	git submodule init
	git submodule update --recursive --remote --init
	make -C sub/libinsane build_c
	virtualenv -p python3 --system-site-packages venv

.PHONY: help build clean test check install install_py install_c uninstall \
	uninstall_c uninstall_py release libinsane_win32 pyocr_win32 \
	libpillowfight_win32

=== flatpak/Makefile ===
REPO ?= paperwork_repo
APP = work.openpaper.Paperwork
ALL_TARGETS = $(patsubst %.json,%,$(wildcard *.json))
ALL_BRANCHES = master testing develop

all: upd_branches

# clean: remove all intermediate files
clean:
	rm -rf $(patsubst %,%.app,$(ALL_TARGETS)) $(patsubst %,%.flatpak,$(ALL_TARGETS))

# dist-clean: remove *everything* that is not stored in Git
dist-clean: clean
	rm -rf $(REPO) .flatpak-builder

# Build a specific branch / tag
# Will export to the Flatpak repository $(REPO)
%.app: %.json
	@echo flatpak-builder $< --\> $@ \($(REPO) ${EXPORT_ARGS} ${ARCH_ARGS}\)
	flatpak-builder --repo=$(REPO) -s "Build of Paperwork $(@:%.app=%) `date`" ${EXPORT_ARGS} ${ARCH_ARGS} $@ $<

upd_repo:
	@echo flatpak build-update-repo $(REPO) \($(REPO) ${EXPORT_ARGS} ${ARCH_ARGS}\)
	flatpak build-update-repo --generate-static-deltas ${EXPORT_ARGS} $(REPO)

# Build all branches and tags and update the Flatpak repository $(REPO)
mk_all: $(patsubst %,%.app,$(ALL_TARGETS))
	$(MAKE) upd_repo

# Build only the branches and update the Flatpak repository $(REPO)
upd_branches: $(patsubst %,%.app,$(ALL_BRANCHES))
	$(MAKE upd_repo)

# Can be used if you call %.app manually first
# Build a Flatpak bundle
%.flatpak: %.app
	$(MAKE) upd_repo
	@echo flatpak build-bundle $(REPO) --\> $@ \(${EXPORT_ARGS} ${ARCH_ARGS} branch: $(@:%.flatpak=%)\)
	flatpak -v build-bundle ${ARCH_ARGS} $(REPO) $@ $(APP) $(@:%.flatpak=%)

# Build all Flatpak bundles
bundles: $(patsubst %,%.flatpak,$(ALL_TARGETS))

.PHONY: all clean dist-clean mkrepo bundles upd_repo

=== nsis/Makefile ===
all: paperwork_stable_installer.exe paperwork_testing_installer.exe paperwork_develop_installer.exe

dll/INetC.dll:
	mkdir -p dll
	rm -rf tmp
	mkdir tmp
	cd tmp ; wget http://nsis.sourceforge.net/mediawiki/images/c/c9/Inetc.zip
	cd tmp ; unzip Inetc.zip
	cd tmp ; mv Plugins/x86-ansi/INetC.dll ../dll
	rm -rf tmp

dll/nsisunz.dll:
	mkdir -p dll
	rm -rf tmp
	mkdir tmp
	cd tmp ; wget http://nsis.sourceforge.net/mediawiki/images/1/1c/Nsisunz.zip
	cd tmp ; unzip Nsisunz.zip
	cd tmp ; mv nsisunz/Release/nsisunz.dll ../dll
	rm -rf tmp

out.nsi: gen_installer_nsi.py
	if [ -z "${RELEASE}" ] ; then echo "Syntax: make RELEASE=x.y.z DOWNLOAD_URI=https://pouet" ; exit 1 ; fi
	echo Release: ${RELEASE}
	echo Download URI: ${DOWNLOAD_URI}
	python3 ./gen_installer_nsi.py ${RELEASE} ${DOWNLOAD_URI}

paperwork_stable_installer.exe: dll/INetC.dll dll/nsisunz.dll
	rm -f out.nsi
	$(MAKE) out.nsi RELEASE=stable DOWNLOAD_URI=https://download.openpaper.work/windows/x86/paperwork-master-latest.zip
	makensis ./out.nsi
	mv -f paperwork_installer.exe paperwork_stable_installer.exe

paperwork_testing_installer.exe: dll/INetC.dll dll/nsisunz.dll
	rm -f out.nsi
	$(MAKE) out.nsi RELEASE=testing DOWNLOAD_URI=https://download.openpaper.work/windows/x86/paperwork-testing-latest.zip
	makensis ./out.nsi
	mv -f paperwork_installer.exe paperwork_testing_installer.exe

paperwork_develop_installer.exe: dll/INetC.dll dll/nsisunz.dll
	rm -f out.nsi
	$(MAKE) out.nsi RELEASE=develop DOWNLOAD_URI=https://download.openpaper.work/windows/x86/paperwork-testing-latest.zip
	makensis ./out.nsi
	mv -f paperwork_installer.exe paperwork_develop_installer.exe

clean:
	rm -rf dll
	rm -f out.nsi
	rm -f paperwork_installer.exe
	rm -f paperwork_stable_installer.exe
	rm -f paperwork_testing_installer.exe
	rm -f paperwork_develop_installer.exe

.PHONY = all

=== paperwork-backend/Makefile ===
VERSION_FILE = paperwork_backend/_version.py
PYTHON ?= python3

build: build_c build_py

install: install_py install_c

uninstall: uninstall_py

build_py: ${VERSION_FILE}
	${PYTHON} ./setup.py build

build_c:

version: ${VERSION_FILE}

${VERSION_FILE}:
	echo -n "version = \"" >| $@
	echo -n $(shell git describe --always) >> $@
	echo "\"" >> $@

doc:

check:
	flake8 paperwork_backend

test:

linux_exe:

windows_exe:
	${PYTHON} /mingw32/bin/pip3-script.py install .

release:
ifeq (${RELEASE}, )
	@echo "You must specify a release version (make release RELEASE=1.2.3)"
else
	@echo "Will release: ${RELEASE}"
	@echo "Checking release is in ChangeLog ..."
	grep ${RELEASE} ChangeLog | grep -v "/xx"
endif

release_pypi:
	@echo "Releasing paperwork-backend ..."
	${PYTHON} ./setup.py sdist
	twine upload dist/paperwork-backend-${RELEASE}.tar.gz
	@echo "All done"

clean:
	rm -f ${VERSION_FILE}
	rm -rf build dist *.egg-info

# PIP_ARGS is used by Flatpak build
install_py: ${VERSION_FILE}
	${PYTHON} ./setup.py install ${PIP_ARGS}

install_c:

uninstall_py:
	pip3 uninstall -y paperwork-backend

uninstall_c:

help:
	@echo "make build || make build_py"
	@echo "make check"
	@echo "make help: display this message"
	@echo "make install || make install_py"
	@echo "make uninstall || make uninstall_py"
	@echo "make release"

.PHONY: \
	build \
	build_c \
	build_py \
	check \
	doc \
	exe \
	help \
	install \
	install_c \
	install_py \
	release \
	test \
	uninstall \
	uninstall_c \
	version

=== paperwork-gtk/Makefile ===
VERSION_FILE = src/paperwork/_version.py
PYTHON ?= python3

build: build_c build_py

install: install_py install_c

uninstall: uninstall_py

build_py: ${VERSION_FILE}
	${PYTHON} ./setup.py build

build_c:

version: ${VERSION_FILE}

${VERSION_FILE}:
	echo "# -*- coding: utf-8 -*-" >| $@
	echo -n "version = \"" >> $@
	echo -n $(shell git describe --always) >> $@
	$(eval branch_name = $(shell git symbolic-ref HEAD 2>/dev/null))
	if [ -n "${branch_name}" ] && [ "${branch_name}" != "refs/heads/master" ] ; then echo -n "-${branch_name}" >> $@ ; fi
	echo "\"" >> $@
	echo "authors_code = \"\"\"" >> $@
	echo "    Code contributors:" >> $@
	git shortlog -sne >> $@
	echo "\"\"\"" >> $@
	echo >> $@
	cat ../AUTHORS.py >> $@

doc:

check:
	flake8 --exclude=_version.py src/paperwork

test:

windows_exe:
	${PYTHON} /mingw32/bin/pip3-script.py install .
	${PYTHON} ./setup_cx_freeze.py build_exe
	mkdir -p ../build
	mv $$(find build -name exe\*) ../build/exe
	# a bunch of things are missing ...
	cp -Ra /mingw32/lib/gdk-pixbuf-2.0 ../build/exe/lib
	mkdir -p ../build/exe/share
	cp -Ra /mingw32/share/icons ../build/exe/share
	cp -Ra /mingw32/share/locale ../build/exe/share
	cp -Ra /mingw32/share/themes ../build/exe/share
	cp -Ra /mingw32/share/fontconfig ../build/exe/share
	cp -Ra /mingw32/share/poppler ../build/exe/share
	cp -Ra /mingw32/share/glib-2.0 ../build/exe/share
	cp -Ra data ../build/exe

linux_exe:

release:
ifeq (${RELEASE}, )
	@echo "You must specify a release version (make release RELEASE=1.2.3)"
else
	@echo "Will release: ${RELEASE}"
	@echo "Checking release is in ChangeLog ..."
	grep ${RELEASE} ChangeLog | grep -v "/xx"
	@echo "Checking release is in data/work.openpaper.Paperwork.appdata.xml ..."
	grep ${RELEASE} data/work.openpaper.Paperwork.appdata.xml
endif

release_pypi:
	@echo "Releasing paperwork-gtk (paperwork) ..."
	${PYTHON} ./setup.py sdist
	twine upload dist/paperwork-${RELEASE}.tar.gz
	@echo "All done"

clean:
	rm -f ${VERSION_FILE}
	rm -rf build dist src/*.egg-info

# PIP_ARGS is used by Flatpak build
install_py: ${VERSION_FILE}
	${PYTHON} ./setup.py install ${PIP_ARGS}

install_c:

uninstall_py:
	pip3 uninstall -y paperwork

uninstall_c:

help:
	@echo "make build || make build_py"
	@echo "make check"
	@echo "make help: display this message"
	@echo "make install || make install_py"
	@echo "make uninstall || make uninstall_py"
	@echo "make release"

.PHONY: \
	build \
	build_c \
	build_py \
	check \
	doc \
	exe \
	help \
	install \
	install_c \
	install_py \
	release \
	test \
	uninstall \
	uninstall_c \
	version

## paperwork 1.0.6

=== debian/changelog ===
paperwork (1.0.6-1) mx; urgency=medium

  * Initial build for MX-15 / MX-16

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 01 Jan 2017 13:57:03 -0500

=== debian/control ===
Source: paperwork
Maintainer: Jerome Flesch <jflesch@openpaper.work>
Section: python
Priority: optional
Build-Depends: python3-setuptools, python3-all, python3-pip, python3-pil, python-imaging, debhelper (>= 9), libenchant-dev (>= 1.6)
Standards-Version: 3.9.1

Package: python3-paperwork
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, gir1.2-poppler-0.18, python3-paperwork-backend
Description: Using scanner and OCR to grep dead trees the easy way (Linux
 Paperwork is a tool to make papers searchable.
 .
 The basic idea behind Paperwork is "scan & forget" : You should be able to
 just scan a new document and forget about it until the day you need it
 again.
 Let the machine do most of the work.
 .
 Main features are:
 - Scan
 - Automatic orientation detection
 - OCR
 - Indexing
 - Document labels
 - Automatic guessing of the labels to apply on new documents
 - Search
 - Keyword suggestions
 - Quick edit of scans
 - PDF support
 .

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=paperwork
%:
	dh $@ --with python2 --buildsystem=pybuild

## paperwork 1.2.1

=== debian/changelog ===
paperwork (1.2.1-0) mx; urgency=medium

  * New upstream release

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sat, 26 Aug 2017 17:03:08 -0400

paperwork (1.1-0mx15+1) mx; urgency=medium

  * New upstream release

 -- Timothy E. Harris <maintainer@mepiscommunity.org>  Tue, 31 Jan 2017 19:08:17 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Maintainer: Jerome Flesch <jflesch@openpaper.work>
 Section: python
 Priority: optional
-Build-Depends: python3-setuptools, python3-all, python3-pip, python3-pil, python-imaging, debhelper (>= 9), libenchant-dev (>= 1.6)
-Standards-Version: 3.9.1
+Build-Depends: python3-setuptools, python3-all, python3-pip, python3-pil, python-imaging, python3-pyocr, python3-pypillowfight, python3-pyinsane2, python3-paperwork-backend, debhelper (>= 9), libenchant-dev (>= 1.6), inkscape
+Standards-Version: 4.1.0
 
 Package: python3-paperwork
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=paperwork
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	debian/moveicons.sh
	dh_install

## paperwork 1.3.1

=== debian/changelog ===
paperwork (1.3.1-2) unstable; urgency=medium

  * Remove debian packaging author
  * debian/control: Bump Standards-Version to 4.5.0 (no changes needed)
  * Source only upload (Closes: #951633)

 -- Thomas Perret <thomas.perret@phyx.fr>  Wed, 19 Feb 2020 19:47:54 +0100

paperwork (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1
  * debian/patches: add missing upstream changelog entries about 1.3.1
  * debian: Add upstream changelogs to packages docs
  * debian/control: add spanish translation package
  * debian/copyright: set forum url as upstream contact

 -- Thomas Perret <thomas.perret@phyx.fr>  Sat, 28 Dec 2019 20:29:17 +0100

paperwork (1.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #721287)

 -- Thomas Perret <thomas.perret@phyx.fr>  Thu, 19 Dec 2019 13:02:45 +0100

=== debian/control ===
Source: paperwork
Section: python
Priority: optional
Maintainer: Thomas Perret <thomas.perret@phyx.fr>
Build-Depends: debhelper-compat (= 12), dh-python, python3-all, python3-setuptools, python3-docutils
Standards-Version: 4.5.0
Homepage: https://openpaper.work
Vcs-Browser: https://salsa.debian.org/openpaperwork-team/paperwork
Vcs-Git: https://salsa.debian.org/openpaperwork-team/paperwork.git
Rules-Requires-Root: no

Package: paperwork-backend
Architecture: all
Section: gnome
Depends: ${python3:Depends}, ${misc:Depends}, python3-gi, gir1.2-poppler-0.18, python3-gi-cairo
Description: Personal document manager
 This is the backend part of Paperwork. It manages: The work directory / Access
 to the documents, Indexing, Searching, Suggestions, Import, Export.
 .
 Paperwork is a personal document manager. It manages scanned documents and
 PDFs.
 It's designed to be easy and fast to use. The idea behind Paperwork
 is "scan & forget": You can just scan a new document and
 forget about it until the day you need it again.
 In other words, let the machine do most of the work for you.

Package: paperwork-gtk
Architecture: all
Section: gnome
Depends: ${python3:Depends}, ${misc:Depends}, paperwork-backend, python3-pypillowfight, gir1.2-gtk-3.0, gir1.2-notify-0.7, gir1.2-libinsane-1.0, adwaita-icon-theme | gnome-icon-theme-symbolic, gnome-icon-theme, tesseract-ocr | cuneiform, aspell
Description: Paperwork is a personal document manager - GTK3 frontend
 This is the GTK3 frontend part of Paperwork. It manages: The work directory /
 Access to the documents, Indexing, Searching, Suggestions, Import, Export.
 .
 Paperwork is a personal document manager. It manages scanned documents and
 PDFs.
 It's designed to be easy and fast to use. The idea behind Paperwork
 is "scan & forget": You can just scan a new document and
 forget about it until the day you need it again.
 In other words, let the machine do most of the work for you.

Package: paperwork-gtk-l10n-en
Architecture: all
Section: localization
Depends: ${misc:Depends}, paperwork-gtk, tesseract-ocr-eng | cuneiform, aspell-en
Description: Gui for paperwork-backend - French localization
 This is the GTK3 frontend part of Paperwork. It manages: The work directory /
 Access to the documents, Indexing, Searching, Suggestions, Import, Export.
 .
 Paperwork is a personal document manager. It manages scanned documents and
 PDFs.
 It's designed to be easy and fast to use. The idea behind Paperwork
 is "scan & forget": You can just scan a new document and
 forget about it until the day you need it again.
 In other words, let the machine do most of the work for you.
 .
 This metapackage installs English localized dependencies.

Package: paperwork-gtk-l10n-fr
Architecture: all
Section: localization
Depends: ${misc:Depends}, paperwork-gtk, tesseract-ocr-fra | cuneiform, aspell-fr
Description: Gui for paperwork-backend - English localization
 This is the GTK3 frontend part of Paperwork. It manages: The work directory /
 Access to the documents, Indexing, Searching, Suggestions, Import, Export.
 .
 Paperwork is a personal document manager. It manages scanned documents and
 PDFs.
 It's designed to be easy and fast to use. The idea behind Paperwork
 is "scan & forget": You can just scan a new document and
 forget about it until the day you need it again.
 In other words, let the machine do most of the work for you.
 .
 This package installs French localized dependencies.

Package: paperwork-gtk-l10n-de
Architecture: all
Section: localization
Depends: ${misc:Depends}, paperwork-gtk, tesseract-ocr-deu | cuneiform, aspell-de | aspell-de-1901
Description: Gui for paperwork-backend - German localization
 This is the GTK3 frontend part of Paperwork. It manages: The work directory /
 Access to the documents, Indexing, Searching, Suggestions, Import, Export.
 .
 Paperwork is a personal document manager. It manages scanned documents and
 PDFs.
 It's designed to be easy and fast to use. The idea behind Paperwork
 is "scan & forget": You can just scan a new document and
 forget about it until the day you need it again.
 In other words, let the machine do most of the work for you.
 .
 This package installs German localized dependencies.

Package: paperwork-gtk-l10n-uk
Architecture: all
Section: localization
Depends: ${misc:Depends}, paperwork-gtk, tesseract-ocr-ukr | cuneiform, aspell-uk
Description: Gui for paperwork-backend - Ukrainian localization
 This is the GTK3 frontend part of Paperwork. It manages: The work directory /
 Access to the documents, Indexing, Searching, Suggestions, Import, Export.
 .
 Paperwork is a personal document manager. It manages scanned documents and
 PDFs.
 It's designed to be easy and fast to use. The idea behind Paperwork
 is "scan & forget": You can just scan a new document and
 forget about it until the day you need it again.
 In other words, let the machine do most of the work for you.
 .
 This package installs Ukrainian localized dependencies.

Package: paperwork-gtk-l10n-es
Architecture: all
Section: localization
Depends: ${misc:Depends}, paperwork-gtk, tesseract-ocr-spa | cuneiform, aspell-es
Description: Gui for paperwork-backend - Spanish localization
 This is the GTK3 frontend part of Paperwork. It manages: The work directory /
 Access to the documents, Indexing, Searching, Suggestions, Import, Export.
 .
 Paperwork is a personal document manager. It manages scanned documents and
 PDFs.
 It's designed to be easy and fast to use. The idea behind Paperwork
 is "scan & forget": You can just scan a new document and
 forget about it until the day you need it again.
 In other words, let the machine do most of the work for you.
 .
 This package installs Spanish localized dependencies.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_VERBOSE=1

ICON_SIZES := $(shell ls paperwork-gtk/data/paperwork_*.png | cut -d'_' -f2 | cut -d'.' -f1 | grep -v 100)

paperwork-backend/paperwork_backend/_version.py: debian/_version.py.paperwork-backend.in
	sed 's,@DEB_VERSION_UPSTREAM@,$(DEB_VERSION_UPSTREAM),g' $< > $@

paperwork-gtk/src/paperwork/_version.py: debian/_version.py.paperwork-gtk.in
	sed 's,@DEB_VERSION_UPSTREAM@,$(DEB_VERSION_UPSTREAM),g' $< > $@
	echo >> $@
	cat AUTHORS.py >> $@

debian/paperwork-gtk.install: debian/paperwork-gtk.install.in
	cp $< $@
	for iconsize in $(ICON_SIZES); do \
		mkdir -p debian/tmp/$$iconsize; \
		cp paperwork-gtk/data/paperwork_$$iconsize.png debian/tmp/$$iconsize/work.openpaper.Paperwork.png; \
		echo "$$iconsize/work.openpaper.Paperwork.png /usr/share/icons/hicolor/$${iconsize}x$${iconsize}/apps/" >> $@; \
	done;

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean: paperwork-backend/paperwork_backend/_version.py paperwork-gtk/src/paperwork/_version.py
	dh_auto_clean -D paperwork-gtk --buildsystem=pybuild
	dh_auto_clean -D paperwork-backend --buildsystem=pybuild
	rm -f paperwork-backend/paperwork_backend/_version.py
	rm -f paperwork-gtk/src/paperwork/_version.py
	rm -f debian/paperwork-gtk.install

override_dh_auto_configure: paperwork-backend/paperwork_backend/_version.py paperwork-gtk/src/paperwork/_version.py
	dh_auto_configure -D paperwork-gtk --buildsystem=pybuild
	dh_auto_configure -D paperwork-backend --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build -D paperwork-gtk --buildsystem=pybuild
	dh_auto_build -D paperwork-backend --buildsystem=pybuild
	rst2man debian/paperwork.rst debian/paperwork.1
	rst2man debian/paperwork-shell.rst debian/paperwork-shell.1

override_dh_auto_install: debian/paperwork-gtk.install
	mkdir -p debian/tmp
	cp paperwork-gtk/data/paperwork.svg debian/tmp/work.openpaper.Paperwork.svg; \
	dh_auto_install -D paperwork-gtk --buildsystem=pybuild
	dh_auto_install -D paperwork-backend --buildsystem=pybuild

override_dh_auto_test:

override_dh_compress:
	dh_compress -X.pdf

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d\S+)\/paperwork.*\.tar\.gz/paperwork-$1\.tar\.gz/g,uversionmangle=s/\.post/post/ \
  https://gitlab.gnome.org/World/OpenPaperWork/paperwork/tags?sort=updated_desc .*/archive/(\d\S+)/.*\.tar\.gz.*
